---

- name: install java 8
  apt:
    name: openjdk-8-jre
    update_cache: no
  when: ansible_os_family == "Debian"

- name: install java 8
  yum:
    name: java-1.8.0-openjdk
  when: ansible_os_family == "RedHat"

- name: add group tomcat
  group: 
    name: tomcat

- name: add user tomcat
  user: 
    name: tomcat 
    group: tomcat
    createhome: yes

- name: download apache tomcat files    
  get_url:
    url: 'https://archive.apache.org/dist/tomcat/tomcat-8/v{{tomcat_version}}/bin/apache-tomcat-{{tomcat_version}}.tar.gz'
    dest: '/tmp/apache-tomcat-{{tomcat_version}}.tar.gz'
    mode: 0440
    force: 'no'
    
- name: Extract tomcat into /opt/apache-tomcat
  shell: '/bin/tar xvzf /tmp/apache-tomcat-{{tomcat_version}}.tar.gz -C /opt/'

- name: Change ownership of Tomcat installation
  file: 
    path: '/opt/apache-tomcat-{{tomcat_version}}' 
    owner: tomcat 
    group: tomcat 
    state: directory 
    recurse: yes 

- name: Configure Tomcat users
  template: 
    src: tomcat-users.xml 
    dest: '/opt/apache-tomcat-{{tomcat_version}}/conf/'

- name: add tomcat service
  template: 
    src: tomcat.service
    dest: '/etc/systemd/system/tomcat.service'

- name: Create logs directory
  file: 
    name: '/opt/apache-tomcat-{{tomcat_version}}/logs'
    state: directory